# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class MigrateMISyncCompleteCommandInput(Model):
    """Input for command that completes online migration for an Azure SQL Database
    Managed Instance.

    All required parameters must be populated in order to send to Azure.

    :param source_database_name: Required. Name of managed instance database
    :type source_database_name: str
    """

    _validation = {
        'source_database_name': {'required': True},
    }

    _attribute_map = {
        'source_database_name': {'key': 'sourceDatabaseName', 'type': 'str'},
    }

    def __init__(self, *, source_database_name: str, **kwargs) -> None:
        super(MigrateMISyncCompleteCommandInput, self).__init__(**kwargs)
        self.source_database_name = source_database_name
